from __future__ import annotations
from typing import Any
from enum import IntEnum
from enum import auto

class TextureProjectionMode(IntEnum):
    OBJECTSPECIFIC = auto()
    PARALLEL = auto()
    SPHERE = auto()
